{
  pkgs,
  lib,
  config,
  ...
}:
{
  # https://devenv.sh/languages/
  languages = {
    rust.enable = true;
    javascript.enable = true;
  };

  # https://devenv.sh/packages/
  packages = [
    pkgs.nodejs
    pkgs.yarn
    pkgs.wabt # Wasm dependencies for Tauri
    # pkgs.webkitgtk # Linux Tauri dependency (Webview2 is the one used on Widnows)
  ];

  # See full reference at https://devenv.sh/reference/options/
}

